/***********************************************************************************************************************
 *
 * BlueBook - use live code examples in your book
 * Copyright (C) 2011-2011 by Tidalwave s.a.s.
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebook.java.net
 * SCM: https://hg.java.net/hg/bluebook~src
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebook.configuration;

import javax.annotation.Nonnull;
import it.tidalwave.bluebook.configuration.jaxb.FileType;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: File.java,v 542b4f5de3c7 2011/03/09 12:20:50 fabrizio $
 *
 **********************************************************************************************************************/
public class File extends FileType implements ConfigurationElement
  {
    @Override
    public void process (final @Nonnull ConfigurationVisitor visitor) 
      throws Exception
      {
        visitor.setFileName(getFileName());
        visitor.setOutputFile(getOutputFile());
        visitor.setSkipHeader(isSkipHeader());
        visitor.setSkipBlockComments(isSkipBlockComments());
        visitor.setSkipPackage(isSkipPackage());
        visitor.setSkipImports(isSkipImports());
        visitor.setExcludedFragment(getExcludedFragment());
        visitor.setIncludedFragment(getIncludedFragment());

        visitor.extractFile();
      }
  }
